// A sequence interface for constructing mathematical, mono-directional sequences.
import 'package:meta/meta.dart';

abstract class Sequence<T> {
  int _index = 0;

  int get index => _index;

  @mustCallSuper
  T next() {
    _index++;
    return null;
  }

  T max();
  T min();
}
